Subject: Re: AW: DLL function with string result?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Lescher Christian <[email-masked]>, "'Andrew Markebo'" <[email-masked]>, Troy Noble <[email-masked]>
Cc: "'Christian Lescher'" <[email-masked]>, [email-masked]
Date: Fri, 20 Apr 2001 10:42:47 -0400

Yes, there is a general problem when you want to allocate in one DLL made 
by one compiler and de-allocate in another built be another compiler.  In
this case, the heaps are different.  This is not a Cygwin-specific issue.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 09:25 AM 4/20/2001, Lescher Christian wrote:
>Yes, that's more or less what I'm trying to do: I want to build a DLL, that should be callable from Visual Basic for Applications/MS Access.
>(I use Haskell/GHC, http://haskell.org/ghc and I want to expose a Haskell function in a DLL.)
>
>Is there a general problem about this?
>
>Christian
>
> > Uhm sorry if I missed something here.. are you doing something like
> > allocating memory in cygwin that is freed on visual, or the other way
> > around..
> > 
> > I don't think that is a good idea.. At least not when you are using
> > Visual and Borland, so I guess the same problem might happen with
> > Visual and cygwin.
> > 
> >         /Andy
> > 
>
>--
>Want to unsubscribe from this list?
>Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple